org.springframework.orm.jdo

## Class JdoObjectRetrievalFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.dao.DataAccessException
          - - org.springframework.dao.NonTransientDataAccessException
            - - org.springframework.dao.DataRetrievalFailureException
              - - org.springframework.orm.ObjectRetrievalFailureException
                - - org.springframework.orm.jdo.JdoObjectRetrievalFailureException

All Implemented Interfaces:
  Serializable

    public class JdoObjectRetrievalFailureException
    extends ObjectRetrievalFailureException

JDO-specific subclass of ObjectRetrievalFailureException. Converts JDO's JDOObjectNotFoundException.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `PersistenceManagerFactoryUtils.convertJdoAccessException(javax.jdo.JDOException)`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`JdoObjectRetrievalFailureException(javax.jdo.JDOObjectNotFoundException ex)`

### Method Summary

### Methods inherited from class org.springframework.orm.ObjectRetrievalFailureException

`getIdentifier, getPersistentClass, getPersistentClassName`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JdoObjectRetrievalFailureException

    public JdoObjectRetrievalFailureException(javax.jdo.JDOObjectNotFoundException ex)